* {
    border-radius: 0 !important;
    /* font-family: "Gill Sans", sans-serif; */
    transition: none !important;
    transform: none !important;
}

span.select2-selection.select2-selection--single
{
height : 35px;
}
.action-grid {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    justify-items: center;
    width: 100%;
}

.action-grid-3 {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    justify-items: center;
    width: 100%;
}

.action-grid-1 {
    display: grid;
    grid-template-columns: 1fr;
    justify-items: center;
    width: 100%;
}

.icon {
    height: 16px;
    width: 16px;
    background-repeat: no-repeat;
    background-position: center;
    background-size: 100% 100%;
}

.icon-translation {
    height: 16px;
    width: 30px;
    background-repeat: no-repeat;
    background-position: center;
    background-size: 100% 100%;
}

.add-icon {
    background-image: url("../icons/add.png");
    height: 12px;
    width: 12px;
}

.save-icon {
    background-image: url("../icons/save.png");
    height: 14px;
    width: 14px;
}

.delete-icon {
    background-image: url("../icons/delete.png");
    display: block;
}

.burger-icon {
    background-image: url("../icons/burger.png");
    height: 20px;
    width: 25px;
}

.edit-icon {
    background-image: url("../icons/edit.png");
    display: block;
}

.view-icon {
    background-image: url("../icons/view.png");
    height: 12px;
    width: 14px;
}

.jqx-header-bar {
    display: flex;
    justify-content: space-between;
    gap: 2%;
}

.icon-label-header {
    display: flex;
    gap: 5px;
}

.sub-header {
    display: flex;
    gap: 10px;
}

.login-box,
.register-box {
    width: 500px;
}

.card-login {
    min-height: 400px !important;

}

.card-info .card-outline,
.card-info-custom {
    border-top: 5px solid #29475F;
}

.btn-info {
    border: 3px solid #eb720b !important;
}

.btn-danger {
    border: 3px solid #dc3545 !important;
}

.invalid-feedback {
    display: block;
}

.login-page,
.register-page {
    padding: -10px !important;
    background-color: #00395d;

}

.input-file-custom {
    width: 100%;
    height: 44px;
    background: #FFFFFF;
    border: 1px solid #000;
    border-radius: 4px;
}

.rtl {
    direction: rtl !important;
    text-align: right !important;
    order: -1 !important;
}

[dir="rtl"] .main-sidebar {
    /* Styles for RTL languages */
    direction: rtl;
}

[dir="rtl"] .layout-fixed .main-sidebar {
    /* Styles for RTL languages */
    right: 0 !important;
    left: unset !important;
}

@media (min-width: 991px) {

    [dir="rtl"] body:not(.sidebar-mini-md):not(.sidebar-mini-xs):not(.layout-top-nav) .content-wrapper,
    [dir="rtl"] body:not(.sidebar-mini-md):not(.sidebar-mini-xs):not(.layout-top-nav) .main-footer,
    [dir="rtl"] body:not(.sidebar-mini-md):not(.sidebar-mini-xs):not(.layout-top-nav) .main-header {
        margin-right: 250px;
        margin-left: unset;
    }
}

@media (max-width: 991px) {
    [dir="rtl"] .sidebar-collapse .main-sidebar, [dir="rtl"] .sidebar-collapse .main-sidebar::before {
        margin-right: -250px;
    }
}

@media (min-width: 992px) {

    [dir="rtl"] .sidebar-mini.sidebar-collapse .content-wrapper,
    [dir="rtl"] .sidebar-mini.sidebar-collapse .main-footer,
    [dir="rtl"] .sidebar-mini.sidebar-collapse .main-header {
        margin-right: 4.6rem !important;
        margin-left: unset !important;
    }
}

[dir="rtl"] ul {
    padding-inline-end: 40px;
    padding-inline-start: unset;
}

.navbar-nav {
    justify-content: end;
}

[dir="rtl"] .nav-sidebar .nav-link>.right,
[dir="rtl"] .nav-sidebar .nav-link>p>.right {
    right: unset;
    left: 1rem;
}

[dir="rtl"] .float-sm-right {
    float: left !important;
}

[dir="rtl"] .breadcrumb {
    flex-direction: row-reverse;
}

.dropdown-item {
    display: flex;
    gap: 5%;
}

.multi-check-box {
    display: flex;
    flex-direction: column;
    justify-content: center;
}

.error-page {
    display: flex;
    align-items: center;
    justify-content: center;
    background-color: #e9ecef;
}

.error-box {
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    gap: 50px;
    width: 100%;
}

.error-description {
    width: 65%;
    text-align: center;
    background-color: white;
}

.error-description p {
    font-size: 20px;
}

.error-description h1 {
    font-size: 55px;
}

.error-description h5 {
    font-size: 30px;
}

.error-description p a,
.error-description p span {
    font-size: 22px;
    color: red;
}

.center {
    text-align: center;
}

.error-code {
    color: red;
}

[class*=sidebar-dark-] {
    background-color: #29475F;
}

.navbar-white {
    background-color: #29475F;
    color: #fff !important;
}

.navbar-light .navbar-nav .nav-link {
    color: #fff;
}

.preloader {
   background-color:red;/* rgba(213, 210, 210, 0.08);*/
    /*animation-play-state: paused;*/
    /*transition-property: all;*/
    /*transition: none !important;*/
    /*height: 100% !important;*/
    /*position: -ms-device-fixed;*/
    /*display: block !important;*/
}

/*.sidebar-dark-primary .nav-sidebar > .nav-item > .nav-link.active, .sidebar-light-primary .nav-sidebar > .nav-item > .nav-link.active {*/
/*    background-color: #29475F !important;*/
/*    color: #fff;*/
/*}*/
.btn-info,
.btn-outline-warning {
    color: #fff;
    background-color: #eb720b;
    height: 35px;
    text-align: center;
    /* Centre le texte horizontalement */
    display: flex;
    justify-content: center;
    /* Centre le contenu verticalement */
    align-items: center;
font-size: 12px !important;
}

.card-info>.card-header {
    background-color: #00395d !important;
}

.btn-info:hover {
    color: #fff;
    background-color: #00395d;

}

.sidebar-dark-primary .nav-sidebar>.nav-item>.nav-link.active,
.sidebar-light-primary .nav-sidebar>.nav-item>.nav-link.active {
    /*background-color: #c2c7d0;*/
    background-color: #eb720b;
    color: #fff;
}

[class*=sidebar-dark-] .sidebar a {
    color: #fff;
}

.custom-header-title {
    color: #00395d;
}

.dashboard-section {
    background-color: #f2f2f2;
    padding: 20px;
}

.statistic {
    background-color: #fff;
    border: 1px solid #ccc;
    padding: 15px;
    text-align: center;
    margin-bottom: 20px;
}

.navbar-light .navbar-nav .nav-link:focus,
.navbar-light .navbar-nav .nav-link:hover {
    color: #fff;
}

.value,
.statistic.label {
    margin-left: 20px;
    font-size: xx-large;
}

.custom-table {
    border-collapse: collapse;
    width: 100%;
}

.custom-table th,
.custom-table td {
    padding: 8px;
    text-align: left;
    white-space: nowrap;
    /* Appliquer le style à toutes les cellules */
}

.scrollable-table {
    max-height: 500px;
    /* Hauteur maximale pour la zone de défilement vertical */
    overflow-y: auto;
    /* Activer le défilement vertical si nécessaire */
    overflow-x: auto;
    /* Activer le défilement horizontal si nécessaire */
}

.custom-table th,
.custom-table #action {
    white-space: nowrap;
    /* Empêcher le texte de se retourner à la ligne */
    vertical-align: top;
    /* Aligner le contenu au sommet de la cellule */
}

div.container {
    width: 100%;
}


#example input {
    width: 100px !important;
    /* You can adjust this value */
    box-sizing: border-box !important;

}

select.custom-select.custom-select-sm.form-control.form-control-sm {
    font-size: 14px !important;
  }
  

.form-control-input {
    display: block;
    width: 100%;
    font-weight: 400;
    line-height: 1.5;
    color: #495057;
    background-color: #fff;
    background-clip: padding-box;
    border: 1px solid #ced4da;
    border-radius: 0.25rem;
    box-shadow: inset 0 0 0 transparent;
    font-size: 12px !important;
}

.main-sidebar,
.navbar {
    background-color: #00395d;
}

label {
font-size: 12px !important;
    padding: 0;
    margin: 0;
}

.form-control {
    margin-bottom: 25px !important;
    height: 35px !important;
}

#formulaire1_Commentaires {
    /*min-height: 90px;*/
    
}

.dropdown-menu-jqx {
    left: -150px !important;
    /*width: 25px;*/
}

table.dataTable thead>tr,
.paginate_button {
font-size: 12px !important;
}

.add-btn {
    float: right;
    height: 40px !important;
}

#jqxdropdownbutton {
    height: 18px !important;
}

.DataTable {
    margin: -50px 10px 0px 10px;
}

div.dataTables_wrapper div.dataTables_length select {
    display: inline-block;
    margin-top: 20px;
    width: auto;
    max-width: 100%;
    /* La largeur maximale est définie sur 100% de la largeur de la div parent */
}
div.dataTables_wrapper div.dataTables_info {
    padding-top: 0.85em;
    font-size: 12px !important;
}

.button-section {
    display: flex;
    justify-content: space-between; /* Espacer les divs à droite */
}

.button-groups{
    display: flex;
    justify-content: center ;/*Espace le bouton en haut*/
    gap: 10px;

}

.button-groups , .button-section{
    margin-top :10px !important;
}

.input-group-append {
    margin-left: -1px;
    height: 35px;
    margin-top: 3px;
}
.page-item.active .page-link {
    z-index: 3;
    color: #fff;
    background-color: #eb720b;
    border-color: #eb720b;
}
.page-link{
    color : #00395d;
}

.os-content{
    font-size: 14px !important;
}
.sidebar-mini .main-sidebar .nav-link,
.sidebar-mini-md .main-sidebar .nav-link,
.sidebar-mini-xs .main-sidebar .nav-link {
    width: auto !important; /* Réinitialisez la largeur à "auto" */
    font-size:14px !important;

    /* Ajoutez d'autres réinitialisations si nécessaires */
}
.dropdown-menu-lg {
    min-width: 150px !important;
    padding: 0 !important;
}
footer{
    font-size: 14px !important;
}
div.dataTables_wrapper div.dataTables_length label {
    font-weight: normal;
    text-align: left;
    white-space: nowrap;
    height: 10px;
}
#user_projects{

    min-height: 70px;
}

.titleSection {
    color:  #29475F;;
    display: flex;
    align-items: center; /* Alignement vertical */
    height: 50px; /* Ajustez la hauteur selon vos besoins */
    width: 250px;
    margin-bottom: 20px;
    text-align: left;
    border-radius: 10px;
  }
  
  input.form-control {
    height: 35px;
  }
  
  select.form-control {
      height: 35px;
  }
  
 .select2{
    margin-top: 5px;
 }
  
  .projet .titleSection {
    background-color:#E91E63;
    background-size: contain;
    color:white;   
  }
  div.titleSection {
 
    box-shadow: 1px 2px 0px 0px rgba(0, 0, 0, 0.3);
    border-bottom-right-radius: 35px !important;
}
.form-control {
    margin: 3px !important;
  }

div.col-md-12.col-sm-8 {
  margin-top: 0px;
}

.blocage .titleSection  {
  background-color: red;
  color: white;
  border-radius: 15px;
}
.titleSection h5 {
    margin-left: 30px;
    font-weight: bold;
  }
  div.col-md-4.col-sm-8 {
    padding-left: 50px;
    padding-right: 50px;
    }
    
    div.col-md-12.col-sm-8, div.col-md-6.col-sm-8{
      padding-left: 50px;
    padding-right: 50px;
    }
    
    .date-projet .titleSection{
        background-color: #745AF2; 
    color: white;
    }     
    
.form-add {
    background-color: #eef0f8 ;
    box-shadow: 0 0 20px rgba(0, 0, 0, 0.1);
 }
 .type-job .titleSection{
    background-color: #2CCCE4;
    color: white;
 }
 .Construction .titleSection{
    background-color: #84B28A;
    color: white;
 }
 .etude .titleSection{
    background-color: #C2185B;
    color: white;
 }

 .Ingenierie .titleSection{
    background-color: #00D084;
    color: white;
 }
 .Travaux .titleSection{
    background-color: #0693E3;
    color: white;
 }
 .Financier .titleSection{
    background-color: #311B92;
    color: white;
 }
 .DOE .titleSection{
    background-color: #FF6900;
    color: white;
 }
 h4.custom-header-title {
    margin-bottom: 30px;
  }


  button.btn.btn-warning.btn-info.float-right.saveButton1 {
    margin-right: 10vh !important;
  }
  
  
  
  button.btn.btn-warning.btn-info.saveButton2 {
      margin-left: 10vh !important;
  }
  
  
  div.form-add {
    overflow: auto; 
    height: 65vh; 
    max-width: 100% - 100px);
    margin: 0px auto !important; 
}
  
  h3.custom-header-title {
    font-weight: bold;
  }
  
  h4.custom-header-title {
       font-weight: bold;
  }
  

  div.content-wrapper {
    margin-top: 57px;
  }
  a.nav-link.active {
    background-color: #eb720b !important;
    color: white  !important;
 }

 @media screen and (max-width: 1000px){
div.dataTables_wrapper div.dataTables_length, div.dataTables_wrapper div.dataTables_filter, div.dataTables_wrapper div.dataTables_info, div.dataTables_wrapper div.dataTables_paginate {
    text-align: center;
    margin-top: 45px;
}
h4.custom-header-title {
    font-weight: bold;
    font-size: 15px;
}

        .login-box .card,
        .register-box .card {
        max-width: 350px !important;
        margin: auto; 
        display: flex;
        align-items: center; 
        justify-content: center; 
        }


}
.width-22 {
    width: 22px;
}
/*.dropdown {*/
/*    position: relative;*/
/*    display: inline-block;*/
/*    width: 100%;*/
/*}*/


.exportbutton {
    border-radius: 3px !important;
    font-style: normal !important;
    font-weight: 400;
    font-size: 10px !important;
    line-height: 14px !important;
    text-align: center !important;
    border: none !important;
}

.exportbutton::after {
    content: none;
}

.icon-label-dropdown {
    display: flex;
    justify-content: start;
    align-items: center;
    gap: 5px;
}

.dropdown-item {
    font-size: 12px !important;
    cursor: pointer;
}
.column-grid-jqx {
    padding: 10px !important;
    text-align: center;
    position: absolute;
    width: 100%;
    height: 100%;
    margin: unset !important;
    margin-left: -4px !important;
    display: grid;
    align-items: center;
    margin-top: -9px !important;
}

.column-grid-jqx-status {
    padding: 10px !important;
    text-align: center;
    position: absolute;
    width: 100%;
    height: 100%;
    margin: unset !important;
    margin-left: -4px !important;
    display: grid;
    align-items: center;
    margin-top: -22px !important;
}

i.fas.fa-sign-out-alt {
    margin-top: 5px;
  }
.card-raised {
    cursor: pointer;
}

.filter-button {
    justify-content: space-between;
    column-gap: 10px;
    text-align: end;
}

.syncfusion-grid-colored-column {
    width: 100%;
    height: 100%;
    color: #fff;
    padding: 10px;
    position: absolute;
    top: 0;
    display: grid;
    align-items: center;
}

.e-grid .e-toolbar {
    overflow: visible !important;
}

.saveFilterBtn {
    background-color: #e8e8e8;
}

.mt-21rem {
    margin-top: 2.1rem;
}

.eye-icon span {
    color: #007bff;
}

.btn-close {
    border: 0;
}

/*th.e-headercell:has(.e-filtered) {*/
/*    background-color: #d1d1d1 !important; !* Set your desired background color *!*/
/*}*/

th.e-headercell:has(.e-filtered) span.e-headertext {
    font-weight: bold;
    color: #0f6cbd !important;
}

/*
@-moz-document url-prefix() {
  canvas {
    zoom: 1.3 !important;
  }
}*/
/*canvas {*/
/*    width: 100% !important;*/
/*    height: auto !important;*/
/*    max-width: 100%;*/
/*}*/

/*body, .wrapper {*/
/*    width: 100%;*/
/*    overflow-x: hidden;*/
/*    transform-origin: top left;*/
/*}*/

/*.main-sidebar {*/
/*    height: 100% !important;*/
/*    overflow-y: hidden;*/
/*    z-index: 1038;*/
/*}*/


.chart-main-container {
    padding-top: 0 !important;
    padding-bottom: 1rem !important;
}

.chart-div-container {
    margin-top: 3.8rem !important;
}

.mt-row {
    margin-top: 1.5rem;
}


body {
    font-size: 14px;
}

.select2, #startDate, #endDate {
    width: 18rem !important;
}

div.card-body.px-4 {
    height: 120px !important;
}

.card-body {
    padding: 1.25rem;
}

img {
    width: 70px;
}

.form-control, span.select2-selection.select2-selection--single {
    height: 35px !important;
    font-size: 1rem;
}

p, a {
    font-size: 14px;
}

a > i {
    font-size: 16px;
}

label {
    font-size: 12px;
}

.sidebar-mini .main-sidebar .nav-link, .sidebar-mini-md .main-sidebar .nav-link, .sidebar-mini-xs .main-sidebar .nav-link {
    font-size: 14px !important;
}

h3 {
    font-size: 28px;
}

h4 {
    font-size: 1.5rem;
}

.chart-container {
    position: relative;
    width: 100%;
    height: 478px;
}

select {
    width: 100%;
}

.main-sidebar, .main-sidebar::before, .layout-fixed .brand-link {
    width: 250px;
}

div.content-wrapper {
    margin-top: 57px;
}

.os-content {
    padding: 0px 8px !important;
}

.filter-bar-main {
    padding: 10px;
}

.brand-link {
    font-size: 1.25rem;
    padding: .8125rem .5rem;
}

/* Réinitialisation des styles Select2 pour qu'ils s'adaptent */
.select2-container {
    width: 100% !important;
}

/* Ajustement des tailles de police pour l'échelle */
body, input, select, button, .select2-selection {
    font-size: 16px;
}

h2 {
    font-size: 24px;
}

.select2-container .select2-selection--single {
    height: 38px;
    line-height: 36px;
}

.select2-container--default .select2-selection--single .select2-selection__arrow {
    height: 20px;
    width: 20px;
}

.select2-container--default .select2-selection--single .select2-selection__rendered {
    line-height: 19px;
    padding-left: 8px;
}

@media screen and (max-width: 600px) {
    :root {
        --container-width: 100%;
    }

    .chart-container {
        height: 300px;
    }
}

.pb-calc-4 {
    padding-bottom: 3rem;
}

[data-pnotify] .brighttheme-text {
    font-size: 16px;
}

.e-grid .e-row:not(.e-altrow) {
    background-color: #e2ecf6;
}

#ClearFilters {
    margin-left: 10px;
    margin-right: 10px;
    background-color: #eb720b;
}

#ClearFilters span {
    color: #fff;
}

#ClearFilters .e-clear-icon::before {
    content: "\e72c";
}

#formulaire1_formuleMontant {
    cursor: pointer;
}

.complet {
    color: green;
    font-size: 14px;
}

[data-pnotify] .brighttheme-confirm, [data-pnotify] .brighttheme-title+.brighttheme-text {
    margin-top: 2px !important;
}
